Subject: Re: bug#37964: [PATCH] Remove references to obsolete libraries

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Oct 2019 21:39:37 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 28 Oct 2019 17:37:34 +0100
> 
> diff --git a/doc/lispref/processes.texi b/doc/lispref/processes.texi
> index 287221a184..71ce1a8b56 100644
> --- a/doc/lispref/processes.texi
> +++ b/doc/lispref/processes.texi
> @@ -2426,18 +2426,15 @@ Network
>  @cindex encrypted network connections
>  @cindex @acronym{TLS} network connections
>  @cindex @acronym{STARTTLS} network connections
> -Emacs can create encrypted network connections, using either built-in
> -or external support.  The built-in support uses the GnuTLS
> -Transport Layer Security Library; see
> +Emacs can create encrypted network connections, using the built-in
> +support for the GnuTLS Transport Layer Security Library; see
>  @uref{https://www.gnu.org/software/gnutls/, the GnuTLS project page}.
>  If your Emacs was compiled with GnuTLS support, the function
>  @code{gnutls-available-p} is defined and returns non-@code{nil}.  For
>  more details, @pxref{Top,, Overview, emacs-gnutls, The Emacs-GnuTLS manual}.
> -The external support uses the @file{starttls.el} library, which
> -requires a helper utility such as @command{gnutls-cli} to be installed
> -on the system.  The @code{open-network-stream} function can
> -transparently handle the details of creating encrypted connections for
> -you, using whatever support is available.
> +The @code{open-network-stream} function can transparently handle the
> +details of creating encrypted connections for you, using whatever
> +support is available.

Not sure if we should remove references to starttls etc.  Does anyone
else have an opinion?

> -Use of any form of TLS/SSL requires support in Emacs.  You can either
> -use the built-in support (in Emacs 24.1 and later), or the
> -@file{starttls.el} Lisp library.  The built-in support uses the GnuTLS
> -@footnote{@url{https://www.gnu.org/software/gnutls/}} library.
> -If your Emacs has GnuTLS support built-in, the function
> -@code{gnutls-available-p} is defined and returns non-@code{nil}.
> -Otherwise, you must use the @file{starttls.el} library (see that file for
> -more information on customization options, etc.).  The Lisp library
> -requires one of the following external tools to be installed:
> +Use of any form of TLS/SSL requires support in Emacs.  You can use the
> +built-in support for the GnuTLS
> +@footnote{@url{https://www.gnu.org/software/gnutls/}} library. If your
> +Emacs has GnuTLS support built-in, the function
> +@code{gnutls-available-p} is defined and returns non-@code{nil}.  The
> +Lisp library requires one of the following external tools to be
> +installed:

The last part should be deleted if we are removing the starttls stuff,
because the "Lisp library" refers to it.  Also, you have only one
space between sentences there.

Thanks.